IF NOT EXISTS (SELECT 1 FROM [_columnas] WHERE [tabla] = 'syn_puntoIntegracion' AND [columna] = 'cantidadReintentos')
BEGIN
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[dependiente]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI])
		 VALUES
			   ('syn_puntoIntegracion'
			   ,'cantidadReintentos'
			   ,1
			   ,1
			   ,0
			   ,'int'
			   ,NULL
			   ,NULL
			   ,NULL
			   ,0
			   ,1)
END

GO

IF NOT EXISTS (SELECT 1 FROM [_columnas] WHERE [tabla] = 'syn_puntoIntegracion' AND [columna] = 'intervaloReintentos')
BEGIN
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[dependiente]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI])
		 VALUES
			   ('syn_puntoIntegracion'
			   ,'intervaloReintentos'
			   ,1
			   ,1
			   ,0
			   ,'int'
			   ,NULL
			   ,NULL
			   ,NULL
			   ,0
			   ,1)
END

GO


IF NOT EXISTS (SELECT 1 FROM [_columnas] WHERE [tabla] = 'syn_puntoIntegracion' AND [columna] = 'codigosReintentos')
BEGIN
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[dependiente]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI])
		 VALUES
			   ('syn_puntoIntegracion'
			   ,'codigosReintentos'
			   ,1
			   ,1
			   ,0
			   ,'varchar'
			   ,NULL
			   ,200
			   ,NULL
			   ,0
			   ,1)
END

GO

IF NOT EXISTS (SELECT 1 FROM [_columnas] WHERE [tabla] = 'seg_registroIntegracion' AND [columna] = 'numeroReintento')
BEGIN
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[dependiente]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI])
		 VALUES
			   ('seg_registroIntegracion'
			   ,'numeroReintento'
			   ,1
			   ,1
			   ,0
			   ,'int'
			   ,NULL
			   ,NULL
			   ,NULL
			   ,0
			   ,1)
END

GO
